@file:Suppress("MemberVisibilityCanBePrivate")

object Log4j2 {
    const val version = "2.17.1"
    const val group = "org.apache.logging.log4j"

    const val api = "$group:log4j-api:$version"
    const val core = "$group:log4j-core:$version"
    const val slf4j = "$group:log4j-slf4j-impl:$version"
    const val jul = "$group:log4j-jul:$version"
}

object Lombok {
    const val version = "1.18.22"
    const val group = "org.projectlombok"

    const val id = "$group:lombok:$version"
}

object JUnit {
    const val version = "5.8.1"
    const val group = "org.junit.jupiter"

    const val jupiter = "$group:junit-jupiter:$version"
    const val jupiter_engine = "$group:junit-jupiter-engine:$version"
}

object Mockito {
    const val version = "4.0.0"
    const val group = "org.mockito"

    const val inline = "$group:mockito-inline:$version"
    const val jupiter = "$group:mockito-junit-jupiter:$version"
}

object Gson {
    const val version = "2.8.8"
    const val group = "com.google.code.gson"

    const val id = "$group:gson:$version"
}

object Annotations {
    const val version = "22.0.0"
    const val group = "org.jetbrains"

    const val id = "$group:annotations:$version"
}

object LibGDX {
    const val version = "1.10.0"
    const val group = "com.badlogicgames.gdx"

    const val api = "$group:gdx:$version"

    const val backend_lwjgl3 = "$group:gdx-backend-lwjgl3:$version"
    const val platform_desktop = "$group:gdx-platform:$version:natives-desktop"

    const val tools = "$group:gdx-tools:$version"
}

object PicoCLI {
    const val version = "4.6.2"
    const val group = "info.picocli"

    const val core = "$group:picocli:$version"
    const val shell_jline3 = "$group:picocli-shell-jline3:$version"
    const val codegen = "$group:picocli-codegen:$version"
}

object JLine {
    const val version = "3.20.0"
    const val group = "org.jline"
    const val id = "$group:jline:$version"
}

object Jansi {
    const val version = "2.4.0"
    const val group = "org.fusesource.jansi"
    const val id = "$group:jansi:$version"
}

object JavaWebSocket {
    const val version = "1.5.2"
    const val group = "org.java-websocket"
    const val id = "$group:Java-WebSocket:$version"
}

object SpringBoot {
    const val version = "2.6.2"
    const val group = "org.springframework.boot"
    const val plugin = group
    const val starterWebsocket = "$group:spring-boot-starter-websocket"
    const val starterTomcat = "$group:spring-boot-starter-tomcat"
    const val starterLog4j2 = "$group:spring-boot-starter-log4j2"
}

object SpringDependencyManagement {
    const val version = "1.0.11.RELEASE"
    const val plugin = "io.spring.dependency-management"
}