package eu.jonahbauer.wizard.client.libgdx.actors.game.overlay;

import com.badlogic.gdx.math.Interpolation;
import com.badlogic.gdx.scenes.scene2d.Actor;
import com.badlogic.gdx.scenes.scene2d.Group;
import com.badlogic.gdx.scenes.scene2d.ui.Label;
import com.badlogic.gdx.scenes.scene2d.ui.VerticalGroup;
import eu.jonahbauer.wizard.client.libgdx.actions.MyActions;
import eu.jonahbauer.wizard.client.libgdx.screens.GameScreen;

import static com.badlogic.gdx.scenes.scene2d.actions.Actions.*;

public class StartRoundOverlay extends Overlay {

    private final int round;

    public StartRoundOverlay(GameScreen gameScreen, int round) {
        super(gameScreen, Long.MAX_VALUE);
        this.round = round;
    }

    @Override
    public Actor createContent() {
        var root = new VerticalGroup().columnCenter().space(10f);

        var label = new Label("Round " + (round + 1), data.skin, "enchanted");
        label.setFontScale(1.5f);
        root.addActor(label);

        return root;
    }

    @Override
    public void show(Group parent) {
        super.show(parent);

        var root = getRoot();
        root.addAction(sequence(
                delay(OVERLAY_TIME),
                targeting(root, alpha(0.0f, .5f, Interpolation.pow2Out)),
                run(this::finishInternal)
        ));
    }

    @Override
    public void finish() {
        MyActions.finish(getRoot().getActions().get(0));
    }
}
